( function( blocks, i18n, element, components, editor ) {
    const { registerPaymentMethod } = wc.wcBlocksRegistry;
    // Use the localized data from PHP
    const allcurrencycryptogateways = allcurrencycryptogatewayData || [];
    allcurrencycryptogateways.forEach( ( allcurrencycryptogateway ) => {
        registerPaymentMethod({
            name: allcurrencycryptogateway.id,
            label: allcurrencycryptogateway.label,
            ariaLabel: allcurrencycryptogateway.label,
            content: element.createElement(
                'div',
                { className: 'allcurrencycryptogateway-method-wrapper' },
                element.createElement( 
                    'div', 
                    { className: 'allcurrencycryptogateway-method-label' },
                    '' + allcurrencycryptogateway.description 
                ),
                allcurrencycryptogateway.icon_url ? element.createElement(
                    'img', 
                    { 
                        src: allcurrencycryptogateway.icon_url,
                        alt: allcurrencycryptogateway.label,
                        className: 'allcurrencycryptogateway-method-icon'
                    }
                ) : null
            ),
            edit: element.createElement(
                'div',
                { className: 'allcurrencycryptogateway-method-wrapper' },
                element.createElement( 
                    'div', 
                    { className: 'allcurrencycryptogateway-method-label' },
                    '' + allcurrencycryptogateway.description 
                ),
                allcurrencycryptogateway.icon_url ? element.createElement(
                    'img', 
                    { 
                        src: allcurrencycryptogateway.icon_url,
                        alt: allcurrencycryptogateway.label,
                        className: 'allcurrencycryptogateway-method-icon'
                    }
                ) : null
            ),
            canMakePayment: () => true,
        });
    });
} )(
    window.wp.blocks,
    window.wp.i18n,
    window.wp.element,
    window.wp.components,
    window.wp.blockEditor
);